import { createApp } from 'vue'
import App from './App.vue'
import { router } from './router'
import store from './store'
import 'vant/lib/index.css'

import { Notify, Dialog } from 'vant'
import GSection from './components/GSection'
import Shiro from './components/Shiro'
import XLoading from './components/XLoading'
import XField from './components/XField'
import shiro from './utils/plugins/shiro'

const app = createApp(App)
app.use(store)
app.use(router)
app.use(shiro)

app.component(Notify.Component.name, Notify.Component)
app.component(Dialog.Component.name, Dialog.Component)
app.component('g-section', GSection)
app.component('x-loading', XLoading)
app.component('x-field', XField)
app.component('shiro', Shiro)

app.config.errorHandler = (err, vm, info) => {
  console.error('VUE ERROR')
  console.error(err)
  console.error(vm)
  console.error(info)
}

app.mount('#app')
