import store from "@/store"

const shiro = {
  install: (app) => {
    const removeNode = (el) => el.parentNode && el.parentNode.removeChild(el)

    app.directive("shiro", (el, binding) => {
      const { permissions, getPermission } = store.getState("shiro")
      const permission = permissions[binding.value]

      if (typeof permission !== "boolean") {
        getPermission(binding.value).then((x) => {
          if (!x) {
            removeNode(el)
          }
        })
      } else {
        if (!permission) {
          removeNode(el)
        }
      }
    })
  },
}

export default shiro
