const path = require('path')

module.exports = {
  publicPath: './',
  chainWebpack: (config) => {
    config.resolve.alias.set('@', path.resolve('src'))
  },
  devServer: {
    port: 9000,
    disableHostCheck: true,
    proxy: {
      '/mp': {
        // target: 'http://10.161.7.66:8080/',
        target: 'http://localhost:8080/',
        ws: true,
        changeOrigin: true,
        // pathRewrite: {'^/mp': ''}
      },
    },
  },
  css: {
    loaderOptions: {
      less: {
        // 若 less-loader 版本小于 6.0，请移除 lessOptions 这一级，直接配置选项。
        lessOptions: {
          modifyVars: {
            // 直接覆盖变量
            // box-shadow: 0 2px 12px rgba(100,101,102,.12)
            '@dropdown-menu-box-shadow': 'none',
            '@tabbar-item-active-color': '#D7693A',
            '@steps-background-color': 'background-color: rgb(249, 249, 249)',
            // '@step-font-size':'13px'
            '@step-text-color': '#999',
            '@step-active-color': '#999',
            '@active-color': '#999',
            '@step-finish-line-color': '#999',
            // '@border-color':'#000',
            // 'text-color': '#111',D7693A
            // 'border-color': '#eee',
            // // 或者可以通过 less 文件覆盖（文件路径为绝对路径）
            // hack: `true; @import "your-less-file-path.less";`,
            '@dialog-border-radius': '4px',
            '@nav-bar-icon-color': '#d7693a',
            '@nav-bar-text-color': '#d7693a',
          },
        },
      },
    },
  },
}
